import javax.swing.*;  // java swing sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir
import vektor3D;
import vektorpanel;
import BasicWindowMonitor;

public class H4OD3_2000  extends JFrame implements ActionListener
{
    //
    //=====================================================
    // sinif degiskenleri
    // bu degiskenler tum sınıfa aittir
    JTextArea cikti;           // JTextArea sınıfı değişkeni (nesnesi) cikti
    vektor3D k[]=new vektor3D[2];  // vector3D boyutlu değisken
    vektorpanel p[]=new vektorpanel[2];            //vektorPanel değişken p1
    //=====================================================
    // pencereyi baslatma metodu
    // pencere ilk basladiginda
    // degiskenler buradaki degerleri alirlar
    public H4OD3_2000()
    {
    super("vektor testi H4OD3_2000, frame format");
    k[0]=new vektor3D(1.0,1.0,1.0,2.0,2.0,2.0);
    k[1]=new vektor3D(1.0,1.0,1.0,3.0,3.0,3.0);
    Container c=getContentPane();
    c.setLayout(new FlowLayout());
    JPanel p1=new JPanel();
    p1.setLayout(new GridLayout(2,1));
    p[0]=new vektorpanel("V1 xi,xj,xk:","V1 Fi,Fj,Fk:");
    p[1]=new vektorpanel("V2 xi,xj,xk:","V2 Fi,Fj,Fk:");
    p1.add(p[0],BorderLayout.NORTH);
    p1.add(p[1],BorderLayout.SOUTH);
    c.add(p1);
    cikti=new JTextArea(toString());
    cikti.setBackground(c.getBackground());
    c.add(cikti);
    p[1].F[2].addActionListener(this);
    }
    //=====================================================

    public String toString()
    {
    String s="";
    for(int i=0;i<2;i++)
       {
       s+="Vektör "+(i+1)+"\n";
       s+=k[i].toString();
       }
    s+="Toplam vektör : \n";
    k[0].topla(k[1]);
    s+=k[0].toString();
    return s;
    }
    // girdi alanindaki olan olaylari dinleme metodu
    // Her yeni rakam girildiginde bu metod cagirilir

    public void actionPerformed(ActionEvent e)
    {
       for(int i=0;i<2;i++)
       k[i].vektorGir(Double.parseDouble(p[i].x[0].getText()),
                      Double.parseDouble(p[i].x[1].getText()),
                      Double.parseDouble(p[i].x[2].getText()),
                      Double.parseDouble(p[i].F[0].getText()),
                      Double.parseDouble(p[i].F[1].getText()),
                      Double.parseDouble(p[i].F[2].getText()));
       cikti.setText(toString());
    }
    //=====================================================

      public static void main(String[] args)
      {
      H4OD3_2000 pencere= new H4OD3_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(300,200);
      pencere.setVisible(true);
      }
}
